package handlers

import (
	"html/template"
	"log"
	"net/http"
)

var (
	templateWorkspace = template.Must(template.ParseFiles(
		"html/loop.html",
		"html/workspace.html",
	))
)

func ContentHandler(w http.ResponseWriter, r *http.Request) {
	log.Println("Serving template for the content handler")
	if err := templateWorkspace.Execute(w, nil); err != nil {
		http.Error(w, err.Error(), http.StatusInternalServerError)
	}
}
